# Config file for the OSGi++ library.
# It defines the following variables :
#  OSGi_INCLUDE_DIR - include directory for OSGi++,
#  OSGi_LIBRARY     - the library to link against,
#  OSGi_PACKAGER    - the packager executable,
#  OSGi_START       - the launcher executable.

# Computes paths.
get_filename_component(OSGi_CMAKE_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH)
set(OSGi_INCLUDE_DIR "${OSGi_CMAKE_DIR}/../../../include")

# The library dependencies (contains definitions for IMPORTED targets).
if(NOT TARGET OSGi++ AND NOT OSGi_BINARY_DIR)
  include("${OSGi_CMAKE_DIR}/OSGiTargets.cmake")
endif()

# These are IMPORTED targets created by OSGiTargets.cmake .
set(OSGi_LIBRARY   OSGi++)
set(OSGi_PACKAGER  osgi-packager)
set(OSGi_START     osgi-start)
set(OSGi_LAUNCH    osgi-start)

# Other definitions.
set(OSGi_USE_FILE ${OSGi_CMAKE_DIR}/OSGiUse.cmake)

include(${OSGi_USE_FILE})
